import re
import sys
def write_answer(row, ouput_file):
    with open(ouput_file, "a", encoding="utf-8") as file:
        file.write(row)


def find_hamlet(pattern, input_file, output_file):
    with open(output_file, "w", encoding="utf-8") as output_file1:
        with open(input_file, "r", encoding="utf-8") as file:
            for row in file:
                help_row = row.strip()
                if re.search(pattern, help_row):
                    write_answer(row, output_file)

pattern = re.compile(r'hamlet', re.IGNORECASE)
# output_file ='simple.out'
# input_file = 'simple.in'
input_file = sys.argv[1]
output_file = sys.argv[2]
find_hamlet(pattern, input_file, output_file)